=== debian/changelog ===
librime (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Delete patches.
  * Add --fail-missing to rules.

 -- Qijiang Fan <fqj1994@gmail.com>  Wed, 26 Sep 2012 21:51:49 +0800

librime (0.9.2+git20120725-1) unstable; urgency=low

  * Initial release (Closes: #677341).

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 08 Jun 2012 18:04:26 +0800
