=== debian/control ===
Source: librime
Section: libs
Priority: extra
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Qijiang Fan <fqj1994@gmail.com>, Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 9), libkyotocabinet-dev, libyaml-cpp-dev, cmake, libopencc-dev, zlib1g-dev, x11proto-core-dev, libboost-dev, libboost-filesystem-dev, libboost-regex-dev, libboost-signals-dev, libboost-system-dev, libboost-thread-dev, libgoogle-glog-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/rimeime
Vcs-Git: git://git.debian.org/git/pkg-ime/librime.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/librime.git;a=summary


Package: librime0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: librime-bin, librime-data
Description: Rime Input Method Engine - core library
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the core library of RIME.
 
Package: librime-bin
Architecture: any
Section: utils
Depends: librime0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Rime Input Method Engine - utilities
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the executable utilities of RIME. 

Package: librime-dev
Architecture: all
Section: libdevel
Depends: librime0 (>= ${source:Version}), librime0 (<< ${source:Version}+1~), ${misc:Depends}
Description: Rime Input Method Engine, the core library - development files
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the development files of RIME.

Package: librime0-dbg
Architecture: any
Section: debug
Depends: librime0 (= ${binary:Version}), ${misc:Depends}
Description: Rime Input Method Engine, the core library - debugging symbols
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the debugging symbols of RIME.
