=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,16 +13,16 @@
   set(RIME_OPTIONAL_DEPS ${RIME_OPTIONAL_DEPS} ${Gflags_LIBRARY})
 endif(Gflags_FOUND)
 
-set(RIME_DEPS 
+set(RIME_DEPS
     ${Boost_LIBRARIES} ${Glog_LIBRARY} ${YamlCpp_LIBRARY} ${KyotoCabinet_LIBRARY} ${Opencc_LIBRARY}
     ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${RIME_OPTIONAL_DEPS})
 
-if(BUILD_STATIC)
+if(NOT BUILD_SHARED_LIBS)
   add_library(rime-static STATIC ${LIBRIME_SRC})
   target_link_libraries(rime-static ${RIME_DEPS})
   set_target_properties(rime-static PROPERTIES OUTPUT_NAME "rime" PREFIX "lib")
-else(BUILD_STATIC)
-  add_library(rime SHARED ${LIBRIME_SRC})
+else(NOT BUILD_SHARED_LIBS)
+  add_library(rime ${LIBRIME_SRC})
   target_link_libraries(rime ${RIME_DEPS})
   set_target_properties(rime PROPERTIES DEFINE_SYMBOL "RIME_EXPORTS")
   set_target_properties(rime PROPERTIES VERSION ${LIBRIME_VERSION} SOVERSION ${LIBRIME_SOVERSION})
@@ -30,4 +30,4 @@
     set_target_properties(rime PROPERTIES INSTALL_NAME_DIR "@rpath")
   endif(XCODE_VERSION)
   install(TARGETS rime DESTINATION ${LIB_INSTALL_DIR})
-endif(BUILD_STATIC)
+endif(NOT BUILD_SHARED_LIBS)
