=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
 
-if(BUILD_STATIC)
+if(BUILD_SHARED_LIBS)
+  set(RIME_LIBRARY rime)
+else(BUILD_SHARED_LIBS)
   set(RIME_LIBRARY rime-static)
-else(BUILD_STATIC)
-  set(RIME_LIBRARY rime)
-endif(BUILD_STATIC)
+endif(BUILD_SHARED_LIBS)
 
 set(RIME_API_CONSOLE_SRC "rime_api_console.cc")
 add_executable(rime_api_console ${RIME_API_CONSOLE_SRC})
@@ -29,11 +29,11 @@
 install(TARGETS rime_dict_manager DESTINATION ${BIN_INSTALL_DIR})
 install(TARGETS rime_deployer DESTINATION ${BIN_INSTALL_DIR})
 
-file(COPY ${PROJECT_SOURCE_DIR}/data/minimal/default.yaml 
+file(COPY ${PROJECT_SOURCE_DIR}/data/minimal/default.yaml
      DESTINATION ${EXECUTABLE_OUTPUT_PATH})
 file(COPY ${PROJECT_SOURCE_DIR}/data/minimal/essay.kct
      DESTINATION ${EXECUTABLE_OUTPUT_PATH})
-file(COPY ${PROJECT_SOURCE_DIR}/data/minimal/luna_pinyin.dict.yaml 
+file(COPY ${PROJECT_SOURCE_DIR}/data/minimal/luna_pinyin.dict.yaml
      DESTINATION ${EXECUTABLE_OUTPUT_PATH})
 file(COPY ${PROJECT_SOURCE_DIR}/data/minimal/luna_pinyin.schema.yaml
      DESTINATION ${EXECUTABLE_OUTPUT_PATH})
