=== debian/changelog ===
librime (0.9.8-1ubuntu1) raring; urgency=low

  * Disable the libime0 symbols file, which includes template symbols
    pulled in from insighttoolkit, boost and libstdc++ not belonging
    to the library ABI. Filed Debian bug #705902 for a real fix.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Apr 2013 00:55:21 +0200

librime (0.9.8-1) unstable; urgency=low

  * New uptream release.
  * Add myself to Uploaders.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 07 Feb 2013 16:25:20 +0800
