=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Qijiang Fan <fqj1994@gmail.com>, Aron Xu <aron@debian.org>
+Uploaders: Qijiang Fan <fqj1994@gmail.com>, Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 9), libkyotocabinet-dev, libyaml-cpp-dev, cmake, libopencc-dev, zlib1g-dev, x11proto-core-dev, libboost-dev, libboost-filesystem-dev, libboost-regex-dev, libboost-signals-dev, libboost-system-dev, libboost-thread-dev, libgoogle-glog-dev
 Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/rimeime
