=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -- -Scmake

override_dh_strip:
	dh_strip --dbg-package=librime0-dbg

override_dh_install:
	dh_install --fail-missing
