## librime 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(rime)
 cmake_minimum_required(VERSION 2.8)
 
-set(LIBRIME_VERSION 0.9.8)
+set(LIBRIME_VERSION 0.9.9)
 set(LIBRIME_SOVERSION 0)
 
 option(BUILD_SHARED_LIBS "Build Rime as shared library" ON)
@@ -92,7 +92,7 @@
     set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
 endif()
 
-if(NOT BUILD_STATIC)
+if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   # uninstall target
   configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
@@ -112,13 +112,14 @@
   install(FILES cmake/RimeConfig.cmake DESTINATION share/cmake/rime)
   if(BUILD_DATA)
     install(FILES ${PROJECT_SOURCE_DIR}/data/default.yaml DESTINATION ${pkgdatadir})
+    install(FILES ${PROJECT_SOURCE_DIR}/data/symbols.yaml DESTINATION ${pkgdatadir})
     install(FILES ${PROJECT_SOURCE_DIR}/data/essay.kct DESTINATION ${pkgdatadir})
     file(GLOB preset_schema ${PROJECT_SOURCE_DIR}/data/preset/*.yaml)
     install(FILES ${preset_schema} DESTINATION ${pkgdatadir})
     file(GLOB supplement_schema ${PROJECT_SOURCE_DIR}/data/supplement/*.yaml)
     install(FILES ${supplement_schema} DESTINATION ${pkgdatadir})
   endif(BUILD_DATA)
-endif(NOT BUILD_STATIC)
+endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 add_subdirectory(src)
 add_subdirectory(tools)
