=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   add_library(rime-static STATIC ${LIBRIME_SRC})
   target_link_libraries(rime-static ${RIME_DEPS})
   set_target_properties(rime-static PROPERTIES OUTPUT_NAME "rime" PREFIX "lib")
+  install(TARGETS rime-static DESTINATION ${LIB_INSTALL_DIR})
 else(NOT BUILD_SHARED_LIBS)
   add_library(rime ${LIBRIME_SRC})
   target_link_libraries(rime ${RIME_DEPS})
