=== test/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 file(COPY ${PROJECT_SOURCE_DIR}/data/test/config_test.yaml
      DESTINATION ${EXECUTABLE_OUTPUT_PATH})
-file(COPY ${PROJECT_SOURCE_DIR}/data/test/dictionary_test.yaml
+file(COPY ${PROJECT_SOURCE_DIR}/data/test/dictionary_test.dict.yaml
      DESTINATION ${EXECUTABLE_OUTPUT_PATH})
 
 if(NOT MSVC AND NOT XCODE_VERSION)
