=== debian/changelog ===
librime (0.9.9-1build1) trusty; urgency=low

  * No change rebuild against Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 29 Oct 2013 15:58:34 +0000

librime (0.9.9-1) unstable; urgency=low

  * Imported Upstream version 0.9.9 (Closes: #724153)
  * Bump standard version to 3.9.4, no changes required.
  * Add a clean symbols file back:
     Only Rime* are symbols to export (Closes: #705902)
     Remove unused no-symbols-control-file
  * Update git url to canonical

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 11 Oct 2013 12:11:56 +0800

librime (0.9.8-2) unstable; urgency=low

  * Drop symbols file, as this package seems some chaos for symbols
    (Closes: #700988).
  * -DCMAKE_BUILD_TYPE=Release to disable lots logs (Closes: #702259).

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 20 Feb 2013 23:58:11 +0800
