=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: librime
 Section: libs
 Priority: extra
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Qijiang Fan <fqj1994@gmail.com>, Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: debhelper (>= 9), libkyotocabinet-dev, libyaml-cpp-dev, cmake, libopencc-dev, zlib1g-dev, x11proto-core-dev, libboost-dev, libboost-filesystem-dev, libboost-regex-dev, libboost-signals-dev, libboost-system-dev, libboost-thread-dev, libgoogle-glog-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/rimeime
-Vcs-Git: git://git.debian.org/git/pkg-ime/librime.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/librime.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/librime.git;a=summary
