=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_make:
	dh_auto_configure -Scmake -- -DCMAKE_BUILD_TYPE=Release

override_dh_strip:
	dh_strip --dbg-package=librime0-dbg

override_dh_install:
	dh_install --fail-missing
