=== debian/watch ===
version=3
https://github.com/lotem/librime/tags .*/rime-(\d[\d\.]+)\.tar\.gz
