## librime 1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,16 @@
 project(rime)
 cmake_minimum_required(VERSION 2.8)
 
-set(LIBRIME_VERSION 0.9.9)
-set(LIBRIME_SOVERSION 0)
+set(LIBRIME_VERSION 1.2.0)
+set(LIBRIME_SOVERSION 1)
 
 option(BUILD_SHARED_LIBS "Build Rime as shared library" ON)
 option(BUILD_STATIC "Build Rime using static libraries" OFF)
 option(BUILD_DATA "Build data for Rime" OFF)
+option(BUILD_TEST "Build and run tests" OFF)
+option(BUILD_SEPARATE_LIBS "Build a separate rime-gears library" OFF)
+option(ENABLE_LOGGING "Enable logging with google-glog library" ON)
+option(BOOST_USE_CXX11 "Boost has been built with C++11 support" OFF)
 
 SET(RIME_DATA_DIR "/share/rime-data" CACHE STRING "Target directory for Rime data")
 
@@ -17,12 +21,14 @@
   set(EXT ".exe")
 endif(WIN32)
 
-set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")
+set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} "${PROJECT_SOURCE_DIR}/thirdparty")
 
 set(Boost_USE_STATIC_LIBS ${BUILD_STATIC})
 set(Gflags_STATIC ${BUILD_STATIC})
 set(Glog_STATIC ${BUILD_STATIC})
 set(KyotoCabinet_STATIC ${BUILD_STATIC})
+set(Marisa_STATIC ${BUILD_STATIC})
 set(Opencc_STATIC ${BUILD_STATIC})
 set(YamlCpp_STATIC ${BUILD_STATIC})
 
@@ -30,11 +36,13 @@
 if(MSVC)
   set(Boost_USE_STATIC_RUNTIME ON)
 endif(MSVC)
-find_package(Boost 1.46.0 REQUIRED COMPONENTS filesystem regex signals system thread)
+find_package(Boost 1.46.0 REQUIRED COMPONENTS filesystem regex signals system)
 if(Boost_FOUND)
   include_directories(${Boost_INCLUDE_DIRS})
   link_directories(${Boost_LIBRARY_DIRS})
 endif(Boost_FOUND)
+
+if(ENABLE_LOGGING)
 
 find_package(Gflags)
 if(Gflags_FOUND)
@@ -46,11 +54,19 @@
   include_directories(${Glog_INCLUDE_PATH})
 endif(Glog_FOUND)
 
+add_definitions(-DRIME_ENABLE_LOGGING)
+
+endif(ENABLE_LOGGING)
+
 find_package(Threads)
-find_package(GTest)
+
+if(BUILD_TEST)
+  find_package(GTest REQUIRED)
 if(GTEST_FOUND)
+  enable_testing()
   include_directories(${GTEST_INCLUDE_DIRS})
 endif(GTEST_FOUND)
+endif(BUILD_TEST)
 
 find_package(YamlCpp REQUIRED)
 if(YamlCpp_FOUND)
@@ -62,6 +78,11 @@
 if(KyotoCabinet_FOUND)
   include_directories(${KyotoCabinet_INCLUDE_PATH})
 endif(KyotoCabinet_FOUND)
+
+find_package(Marisa REQUIRED)
+if(Marisa_FOUND)
+  include_directories(${Marisa_INCLUDE_PATH})
+endif(Marisa_FOUND)
 
 find_package(Opencc REQUIRED)
 if(Opencc_FOUND)
@@ -80,9 +101,18 @@
 include_directories(${PROJECT_SOURCE_DIR}/thirdparty/include)
 link_directories(${PROJECT_SOURCE_DIR}/thirdparty/lib)
 if(MSVC)
-  include_directories(${PROJECT_SOURCE_DIR}/thirdparty/include/msvc)
+  if(MSVC10)
+    # stdint.h is missing from VS2010
+    include_directories(${PROJECT_SOURCE_DIR}/thirdparty/include/msvc)
+  endif(MSVC10)
   add_definitions("/wd4244 /wd4996")
 endif(MSVC)
+if(UNIX)
+  add_definitions("-std=c++11")
+endif(UNIX)
+if(NOT BOOST_USE_CXX11)
+  add_definitions("-DBOOST_NO_CXX11_SCOPED_ENUMS")
+endif()
 
 if(NOT DEFINED LIB_INSTALL_DIR)
     set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
@@ -113,7 +143,7 @@
   if(BUILD_DATA)
     install(FILES ${PROJECT_SOURCE_DIR}/data/default.yaml DESTINATION ${pkgdatadir})
     install(FILES ${PROJECT_SOURCE_DIR}/data/symbols.yaml DESTINATION ${pkgdatadir})
-    install(FILES ${PROJECT_SOURCE_DIR}/data/essay.kct DESTINATION ${pkgdatadir})
+    install(FILES ${PROJECT_SOURCE_DIR}/data/essay.txt DESTINATION ${pkgdatadir})
     file(GLOB preset_schema ${PROJECT_SOURCE_DIR}/data/preset/*.yaml)
     install(FILES ${preset_schema} DESTINATION ${pkgdatadir})
     file(GLOB supplement_schema ${PROJECT_SOURCE_DIR}/data/supplement/*.yaml)
@@ -121,6 +151,19 @@
   endif(BUILD_DATA)
 endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
+if(BUILD_SHARED_LIBS)
+  add_definitions(-DRIME_BUILD_SHARED_LIBS)
+  set(RIME_LIBRARY rime)
+  if(BUILD_SEPARATE_LIBS)
+    set(RIME_GEARS_LIBRARY rime-gears)
+  endif(BUILD_SEPARATE_LIBS)
+else(BUILD_SHARED_LIBS)
+  set(RIME_LIBRARY rime-static)
+  if(BUILD_SEPARATE_LIBS)
+    set(RIME_GEARS_LIBRARY rime-gears-static)
+  endif(BUILD_SEPARATE_LIBS)
+endif(BUILD_SHARED_LIBS)
+
 add_subdirectory(src)
 add_subdirectory(tools)
 if(GTEST_FOUND)
