=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 RIME_ROOT = $(CURDIR)
-THIRDPARTY_PATHS = -DCMAKE_INCLUDE_PATH="$(RIME_ROOT)/thirdparty/include" -DCMAKE_LIBRARY_PATH="$(RIME_ROOT)/thirdparty/lib"
 
 sharedir = $(DESTDIR)/usr/share
 bindir = $(DESTDIR)/usr/bin
@@ -23,7 +22,7 @@
 
 librime-static:
 	mkdir -p build-static
-	(cd build-static; cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DBUILD_STATIC=ON -DBUILD_SHARED_LIBS=OFF $(THIRDPARTY_PATHS) ..)
+	(cd build-static; cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DBUILD_STATIC=ON -DBUILD_SHARED_LIBS=OFF ..)
 	make -C build-static
 
 librime:
@@ -39,7 +38,7 @@
 
 debug:
 	mkdir -p debug-build
-	(cd debug-build; cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ..)
+	(cd debug-build; cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug -DBUILD_TEST=ON ..)
 	make -C debug-build
 
 install-debug:
