=== debian/changelog ===
librime (1.2+dfsg-2build2) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:29 +0000

librime (1.2+dfsg-2build1) wily; urgency=medium

  * No-change rebuild against libgoogle-glog0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 20:16:35 +0000

librime (1.2+dfsg-2) unstable; urgency=medium

  * Rebuild with libyaml-cpp0.5, 0.5.2. (Closes: #784199)
  * Updated copyright.
  * Bumped standard version to 3.9.6, no changes needed.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Fri, 08 May 2015 01:14:42 -0400

librime (1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-dep on libmarisa-dev.
  * Added oldschool.diff to build without c++11. (Closes: #754199)
  * Updated copyright.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 19 Jul 2014 12:54:07 -0400

librime (1.1+dfsg-2) unstable; urgency=medium

  * debian/watch: mangle version for repacking.
  * debian/copyright: added Files-Excluded to remove binaries.
  * debian/control: added myself to uploaders.
  * Renamed librime1-dev back to librime-dev, as advised by the
    release team.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Wed, 02 Jul 2014 21:42:55 -0400

librime (1.1+dfsg-1) unstable; urgency=medium

  [ Guo Yixuan (郭溢譞) ]
  * New upstream release. (Closes: #746152)
  * librime1-dev: conflicts and replaces librime-dev, for
    renaming.
  * librime1-dev: dropped max version dependency on librime1.
    (Closes: #750623)
  * Bumped standard version to 3.9.5, no changes needed.

  [ Osamu Aoki (青木 修) ]
  * Removed binary blobs in thirdparty/{bin,src/opencc-windows}/ .
  * Updated copyright file.
  * Re-add max version dependency using Upstream-Version.

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Jun 2014 21:54:11 +0900

librime (1.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Bumped SOVERSION.

 -- Aron Xu <aron@debian.org>  Tue, 03 Dec 2013 02:58:47 +0800
