=== debian/control ===
--- 
+++ 
@@ -1,19 +1,36 @@
 Source: librime
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Qijiang Fan <fqj1994@gmail.com>, Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-Build-Depends: debhelper (>= 9), libkyotocabinet-dev, libyaml-cpp-dev, cmake, libopencc-dev, zlib1g-dev, x11proto-core-dev, libboost-dev, libboost-filesystem-dev, libboost-regex-dev, libboost-signals-dev, libboost-system-dev, libboost-thread-dev, libgoogle-glog-dev
-Standards-Version: 3.9.4
+Uploaders: Qijiang Fan <fqj1994@gmail.com>,
+           Aron Xu <aron@debian.org>,
+           YunQiang Su <wzssyqa@gmail.com>,
+           Osamu Aoki <osamu@debian.org>,
+           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               libboost-dev,
+               libboost-filesystem-dev,
+               libboost-regex-dev,
+               libboost-signals-dev,
+               libboost-system-dev,
+               libboost-thread-dev,
+               libgoogle-glog-dev,
+               libkyotocabinet-dev,
+               libmarisa-dev,
+               libopencc-dev,
+               libyaml-cpp-dev,
+               x11proto-core-dev,
+               zlib1g-dev
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/rimeime
 Vcs-Git: git://anonscm.debian.org/pkg-ime/librime.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/librime.git;a=summary
 
-
-Package: librime0
+Package: librime1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: librime-bin, librime-data
 Description: Rime Input Method Engine - core library
  RIME is the acronym of Rime Input Method Engine.
@@ -26,11 +43,11 @@
  consistently on different platforms with OS-specific wrappers.
  .
  This package provides the core library of RIME.
- 
+
 Package: librime-bin
 Architecture: any
-Section: utils
-Depends: librime0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: librime1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: librime-data
 Description: Rime Input Method Engine - utilities
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -41,12 +58,18 @@
  output. RIME's cross-platform core library is written in C++, and can work
  consistently on different platforms with OS-specific wrappers.
  .
- This package provides the executable utilities of RIME. 
+ This package provides the executable utilities of RIME.
+Section: utils
 
 Package: librime-dev
 Architecture: all
 Section: libdevel
-Depends: librime0 (>= ${source:Version}), librime0 (<< ${source:Version}+1~), ${misc:Depends}
+Depends: librime1 (<< ${source:Upstream-Version}.0~),
+         librime1 (>= ${source:Version}),
+         ${misc:Depends}
+Provides: librime1-dev
+Conflicts: librime1-dev
+Replaces: librime1-dev
 Description: Rime Input Method Engine, the core library - development files
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -59,10 +82,11 @@
  .
  This package provides the development files of RIME.
 
-Package: librime0-dbg
+Package: librime1-dbg
 Architecture: any
 Section: debug
-Depends: librime0 (= ${binary:Version}), ${misc:Depends}
+Priority: extra
+Depends: librime1 (= ${binary:Version}), ${misc:Depends}
 Description: Rime Input Method Engine, the core library - debugging symbols
  RIME is the acronym of Rime Input Method Engine.
  .
