## librime 1.2.9+dfsg1

=== debian/changelog ===
librime (1.2.9+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.9+dfsg1
    (Closes: #793255, #811637, #822122)
  * Bump opencc to >= 1.0.1
  * std-ver: 3.9.6 -> 3.9.8, no change
  * Update homepage to Github
  * Update VCS-Browser URL to HTTPS
  * Add -DBOOST_USE_CXX11=ON
  * Remove unneeded patch
  * Replace libkyotocabinet-dev with libleveldb-dev
  * Remove unneeded docs installation

 -- Aron Xu <aron@debian.org>  Mon, 08 Aug 2016 17:30:01 +0800
