=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: librime
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Qijiang Fan <fqj1994@gmail.com>,
            Aron Xu <aron@debian.org>,
            YunQiang Su <wzssyqa@gmail.com>,
@@ -17,16 +16,16 @@
                libboost-system-dev,
                libboost-thread-dev,
                libgoogle-glog-dev,
-               libkyotocabinet-dev,
+               libleveldb-dev,
                libmarisa-dev,
-               libopencc-dev,
+               libopencc-dev (>= 1.0.1),
                libyaml-cpp-dev,
                x11proto-core-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/rimeime
+Standards-Version: 3.9.8
+Homepage: https://github.com/rime/librime
 Vcs-Git: git://anonscm.debian.org/pkg-ime/librime.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/librime.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ime/librime.git;a=summary
 
 Package: librime1
 Architecture: any
