=== debian/rules ===
#!/usr/bin/make -f

# See dpkg-buildflags(1)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- -DCMAKE_BUILD_TYPE=Release -DBOOST_USE_CXX11=ON

override_dh_strip:
	dh_strip --dbg-package=librime1-dbg

override_dh_install:
	dh_install --fail-missing
